JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxImageShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxRectangleShape
              com.mxgraph.shape.mxImageShape

All Implemented Interfaces:
  mxIShape

Direct Known Subclasses:
  mxLabelShape

    public class mxImageShape

extends mxRectangleShape

Constructor Summary
`mxImageShape()`

Method Summary
`java.awt.Color` `getFillColor(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Rectangle` `getImageBounds(mxGraphics2DCanvas canvas, mxCellState state)`
`java.lang.String` `getImageForStyle(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Color` `getStrokeColor(mxGraphics2DCanvas canvas, mxCellState state)`
`void` `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxRectangleShape
`getArcSize`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxImageShape

    public mxImageShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`
  Overrides:
    `paintShape` in class `mxRectangleShape`

### getImageBounds

    public java.awt.Rectangle getImageBounds(mxGraphics2DCanvas canvas,
                                             mxCellState state)

### getImageForStyle

    public java.lang.String getImageForStyle(mxGraphics2DCanvas canvas,
                                             mxCellState state)

### getFillColor

    public java.awt.Color getFillColor(mxGraphics2DCanvas canvas,
                                       mxCellState state)

  Overrides:
    `getFillColor` in class `mxBasicShape`

### getStrokeColor

    public java.awt.Color getStrokeColor(mxGraphics2DCanvas canvas,
                                         mxCellState state)

  Overrides:
    `getStrokeColor` in class `mxBasicShape`

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.